HelpNavigatorUI
Keywords: javax.help.plaf.HelpNavigatorUI class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.plaf
Class HelpNavigatorUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.help.plaf.HelpNavigatorUI

Direct Known Subclasses:
  BasicFavoritesNavigatorUI, BasicGlossaryNavigatorUI, BasicIndexNavigatorUI, BasicSearchNavigatorUI, BasicTOCNavigatorUI

public abstract class HelpNavigatorUI
extends javax.swing.plaf.ComponentUI

UI factory interface for JHelpNavigator.

Constructor Summary
`HelpNavigatorUI()`

Method Summary
`javax.swing.Action` | `getAddAction()` Returns an AddAction object.
`javax.swing.Icon` | `getIcon()`
`javax.swing.ImageIcon` | `getImageIcon(NavigatorView view)` Returns icon associated with the view.
`void` | `merge(NavigatorView view)` Merges a Navigator View.
`void` | `remove(NavigatorView view)` Removes a Navigator View.
`void` | `setIcon(javax.swing.Icon icon)` Sets the icon for this HelpNavigator.

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelpNavigatorUI

    public HelpNavigatorUI()

Method Detail

### setIcon

    public void setIcon(javax.swing.Icon icon)

  Sets the icon for this HelpNavigator.

  Parameters:
    `icon` - the Icon

### getIcon

    public javax.swing.Icon getIcon()

  Returns:
    the Icon for this HelpNavigator

### merge

    public void merge(NavigatorView view)

  Merges a Navigator View.

### remove

    public void remove(NavigatorView view)

  Removes a Navigator View.

### getImageIcon

    public javax.swing.ImageIcon getImageIcon(NavigatorView view)

  Returns icon associated with the view.

  Parameters:
    `view` - the view
  Returns:
    the ImageIcon for the view

### getAddAction

    public javax.swing.Action getAddAction()

  Returns an AddAction object. Has sense only for favorites navigator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD